
Portal - Employment  - Bug #1912

RMPMF 017 - Edit Work Permit - Submission Form Notes 

10/02/2019 05:15 PM - Israa Naser

Status: Closed Start date: 10/02/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Israa Naser, Safiya Abu musalem Actual Result:  

Severity: Normal Environment: QA

Category: PAMP PHASE II - Portal - Employment Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:  SERVICE_ID: 112

Description

1- the field اسم العامل should accept letters only, to match the other screens

2- the field الرقم المدني للعامل should accept numbers only, Not letters, space or special characters

3- there are empty spots displayed in the report generated (check screenshot attached)

4- the data section in the report can be bigger to make more room for some fields that could have long data values

History

#1 - 10/03/2019 09:10 AM - Safiya Abu musalem

- Status changed from Open to Fixed

#2 - 10/03/2019 09:10 AM - Safiya Abu musalem

- Assignee changed from Safiya Abu musalem to Israa Naser

#3 - 10/15/2019 11:00 AM - Israa Naser

- File 112 - report - after fix.PNG added

- File 112 - submission form worker name and civil id.PNG added

- Status changed from Fixed to Closed

- % Done changed from 0 to 100

Tested and verified, check screenshots attached below. thanks Safiya

covered in SRS under

Use Case ID:  RMPMF 017

Files

112 - report.PNG 75.6 KB 10/02/2019 Israa Naser

112 - fields validation.PNG 31.5 KB 10/02/2019 Israa Naser

112 - submission form worker name and civil id.PNG 125 KB 10/15/2019 Israa Naser

112 - report - after fix.PNG 104 KB 10/15/2019 Israa Naser
